Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree
Class AbstractTreeNode<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.model.tree.AbstractTreeNode<T>

All Implemented Interfaces:
  SoapUITreeNode

Direct Known Subclasses:
  TestCaseTreeNode.LoadTestsTreeNode, TestCaseTreeNode.TestStepsTreeNode

    public abstract class AbstractTreeNode<T extends ModelItem>

extends java.lang.Object
implements SoapUITreeNode

Base implementation of SoapUITreeNode interface

Author:
  Ole.Matzura

Constructor Summary
`AbstractTreeNode(T modelItem)`

Method Summary
`ActionList` | `getActions()`
`T` | `getModelItem()`
`javax.swing.JPopupMenu` | `getPopup()`
`boolean` | `isLeaf()`
`void` | `reorder(boolean notify)`
`java.lang.String` | `toString()`
`boolean` | `valueChanged(java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.tree.SoapUITreeNode
`getChildCount, getChildNode, getIndexOfChild, getParentTreeNode, release`

Constructor Detail

### AbstractTreeNode

    public AbstractTreeNode(T modelItem)

Method Detail

### valueChanged

    public boolean valueChanged(java.lang.Object newValue)

  Specified by:
    `valueChanged` in interface `SoapUITreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `SoapUITreeNode`

### getPopup

    public javax.swing.JPopupMenu getPopup()

  Specified by:
    `getPopup` in interface `SoapUITreeNode`

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `SoapUITreeNode`

### getModelItem

    public T getModelItem()

  Specified by:
    `getModelItem` in interface `SoapUITreeNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### reorder

    public void reorder(boolean notify)

  Specified by:
    `reorder` in interface `SoapUITreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.